<ng-template [ngIf]="isInDisplayArchiveDetailMode">
  <solidify-empty-container (keydown.escape)="back()"
                            [solidifyFocusFirstElement]="true"
                            solidifyShortCuts
  >
    <div class="button-toolbar">
      <div>
        <button (click)="back()"
                (onEnter)="back()"
                color="primary"
                mat-button
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.back"></solidify-icon>
          {{'home.archive.navigation.backToSearch' | translate}}
        </button>

        <a *ngIf="(depositId | isNotNullNorUndefinedNorWhiteString) && (isLoggedInObs | async) && canSeeDeposit"
           [routerLink]="depositPath"
           color="primary"
           mat-button
           solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.deposit"></solidify-icon>
          {{labelTranslateEnum.seeDeposit | translate}}
        </a>
      </div>

      <div class="small-buttons-wrapper">
        <button (click)="showCitationDialog()"
                (onEnter)="showCitationDialog()"
                [matTooltipPosition]="'left'"
                [matTooltip]="'general.label.citeDepositInAPublication' | translate"
                mat-icon-button
                type="button"
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.quoteRight"
                         class="size-16 icon"
          ></solidify-icon>
        </button>

        <solidify-button-id *ngIf="(currentObs | async) as archive"
                            [resource]="archive"
        ></solidify-button-id>
      </div>
    </div>

    <div [solidifySpinner]="(isLoadingObs | async)"
         class="wrapper"
    >
      <dlcm-home-archive-detail *ngIf="(currentObs | async) | isNotNullNorUndefined"
                                [archivePackages]="packageObs | async"
                                [archiveStatistics]="archiveStatisticDtoObs | async"
                                [archive]="currentObs | async"
                                [isLoadingPrepareDownload]="isLoadingPrepareDownloadObs | async"
                                [isLoggedIn]="isLoggedInObs | async"
                                [currentUser]="currentUserObs | async"
                                [listArchiveUserRating]="listArchiveRatingObs | async"
                                [relativeArchive]="listArchiveFromOrgUnitObs | async"
                                [isLoadingArchiveRating]="isLoadingArchiveRatingObs | async"
                                [defaultIdentifierType]="(systemPropertyObs | async)?.defaultIdentifierType"
                                (addToCartChange)="addToCart($event)"
                                (askAccessChange)="askAccess($event)"
                                (downloadChange)="download($event)"
                                (navigateChange)="navigate($event)"
                                (rateChange)="updateRate($event)"
                                (showArchiveChange)="showArchive($event)"
                                (sendToOrcidChange)="sendToOrcid($event)"
      ></dlcm-home-archive-detail>
    </div>
  </solidify-empty-container>
</ng-template>

<router-outlet></router-outlet>
